{% extends "base.html" %}{% load static i18n %}

{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate 'Multiples objects found' %}</h1>
      <p>{% translate 'We found multiples objects with the barcode provided. Select the corresponding object in the list.' %}</p>
      <p class="h1 text-center mt-4"><i class="bi-upc-scan"></i> {{ barcode }}</p>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>{% translate 'object'|capfirst %}</th>
            <th>{% translate 'name'|capfirst %}</th>
            <th>{% translate 'description'|capfirst %}</th>
            <th>{% translate 'picture'|capfirst %}</th>
          </tr>
        </thead>
        <tbody>
          {% for object in objects %}
              <tr onclick="window.location='{{ object.url }}'">
                <td><i class="{{ object.icon }}"></i> {{ object.object_type|capfirst }}</td>
                <td>{{ object.name }}</td>
                <td>{{ object.description }}</td>
                <td>picture</td>
              </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
  <div class="row mt-4">
    <div class="col">
      <a href="{% url 'barcodes:set' "mobile" %}" class="btn btn-outline-primary">{% translate 'Scan with the camera' %}</a>
      <a href="{% url 'barcodes:set' "reader" %}" class="btn btn-outline-primary">{% translate 'Scan with a reader' %}</a>
    </div>
  </div>
{% endblock content %}
